isiFormApp/urls.py
from django.urls import path, include

from .views import *
app_name = 'isiFormApp'

urlpatterns = [
	path('', isiForm, name='isiForm'),
	path('create_post', create_post, name='create_post'),
	path('getAllData', getAllData, name='getAllData'),

]

landing/urls.py
from django.urls import path
from .views import home, logout, usersign

app_name = 'landing'

urlpatterns = [
	path('', home, name='home'),
	path('logout/', logout, name='logout'),
	path('signup/', usersign, name='signup'),
	]

payments/urls.py
from django.urls import path
from . import views

app_name = 'payments'

urlpatterns = [
		path('', views.add_payments, name='add_payments'),
		path('dataPayments/', views.get_payments, name='get_payments')
]

petcare/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('isiForm/', include('isiFormApp.urls')),
    path('', include('landing.urls')),
    path('payments/',include('payments.urls')),
    path('testimoni/',include('testimoni.urls')),
    path('accounts/', include('django.contrib.auth.urls'), name="bla"),
]

testimoni/urls.py
from django.urls import path
from .views import *
from . import views

app_name='testimoni'
urlpatterns = [
	
	path('',views.view_testimoni, name="view_testimoni"),
	path('api/testimoni/', views.TestimoniList.as_view(), name=("view-api")),
	path('api/testimoni/create', views.TestimoniCreateList.as_view(), name=("view-api"))
	]

isiFormApp/models.py
from django.db import models
# Create your models here.
class Bookings (models.Model):
    date = models.DateField()
    service = models.CharField(max_length=30)
    doctor = models.CharField(max_length=30)
    fullname = models.CharField(max_length=30)
    phone = models.CharField(max_length=30)

isiFormApp/forms.py
from django import forms
import datetime
class Message_Form(forms.Form):
        service = forms.CharField(label='', required=True, 
                max_length=90, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Select Services", "id" : "service"}))
        doctor = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Select Doctors", "id" : "doctor"}))
        fullname = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Your Full Name", "id" : "fullname"}))
        phone = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Phone", "id" : "phone"}))
        date = forms.DateField(label='', initial=datetime.date.today, 
                required=True, widget=forms.DateTimeInput(attrs = {"class": "form-control", "type" : "date", "id" : "date"}))

isiFormApp/views.py
from django.shortcuts import render
from datetime import datetime, date
from .forms import *
from .models import *
import json
from django.http import HttpResponse, JsonResponse



# Create your views here.

def isiForm(request):
    form = Message_Form()
    bookings = Bookings.objects.all()
    response = {'message_form': form, 'myBookings' : bookings}
    return render(request, 'isiForm.html', response)


def create_post(request):
    if request.method == 'POST':
        service = request.POST.get('service')
        doctor = request.POST.get('doctor')
        fullname = request.POST.get('fullname')
        phone = request.POST.get('phone')
        date = request.POST.get('date')
        response_data = {}

        post = Bookings(service=service, doctor=doctor, fullname=fullname, phone=phone, date=date)
        post.save()

        response_data['result'] = 'Create post successful!'
        response_data['postpk'] = post.pk
        response_data['service'] = post.service
        response_data['doctor'] = post.doctor
        response_data['fullname'] = post.fullname
        response_data['phone'] = post.phone
        response_data['date'] = post.date

        return HttpResponse(
            json.dumps(response_data),
            content_type="application/json"
        )
    else:
        return HttpResponse(
            json.dumps({"nothing to see": "this isn't happening"}),
            content_type="application/json"
        )

def getAllData(request):
    bookings = list(Bookings.objects.values())
    data = {
        'bookings': bookings
    }
    return JsonResponse(data)

isiFormApp/templates/base.html
{% load static %}
<!DOCTYPE html>
<html>

<head>
    {% block title%}
    {% endblock title%}

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="0" />

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
        integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}" />
    {% block sheet%}
    {% endblock sheet%}
</head>

<body>
    <p style="border-bottom: yellow solid 20px"></p>
    <div class="header">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="/"><img class="logo" src="{% static 'logo.png' %}" width="10%"></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
                aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav ml-auto">
                    {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'testimoni:view_testimoni' %}">Testimoni</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li class="nav-item">
                        <a id=login class="nav-link" href="{% url 'login' %}">Login</a>
                    </li>
                    {% endif %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'isiFormApp:isiForm' %}">BOOK US</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>

    <div class="content">
        {% block content%}
        {% endblock content %}
    </div>


    {% block sidebar%}
    {% endblock sidebar %}

    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
    <!-- <script type="application/javascript" src="{% static 'js/About Page.js' %}"></script>   -->
    {% block js %}
    {% endblock %}
</body>

</html>

isiFormApp/templates/isiForm.html
{% extends "base.html" %}
{% load static %}
{% block sheet%}

<script type="text/javascript" src="{% static 'isiForm.js' %}"></script>
	
	{% endblock sheet %}


{% block content %}


<div class="container-fluid bg-dog">

    <div class="row">
      
        <div class="col" >
        <br>
            <img class="book" src="{% static 'book.png' %}">
        </div>

    <!-- ini buat isi form -->
      <div class="col" >
      <br>
      <div class="card bg-form">
            <div class="card-body">
            <h4 class="card-title">We are here for you</h4>
            <h2 class="card-title2">BOOK APPOINTMENT</h2>
          <section name="form">
      <br>
      <form id="form" method="POST">
      {% csrf_token %}
      {{ message_form }} 
      <br>
      <button type="submit" class="btn btn-primary"> BOOK </button>
      </form>
      <br>
      </section>
      </div>
      </div>
        </div>
    </div>
    <div class="row">
    <pre>

    <pre>
    </div>

</div>


<div class="container-fluid">
    <img class="book2" src="{% static 'book2.png' %}" width="100%">
</div>


<!-- ini buat hasil form -->
<div class="container">
  <h2>My Bookings</h2>
              
  <table class="table">
    <thead>
      <tr>
        <th>Service</th>
        <th>Doctor</th>
        <th>Fullname</th>
        <th>Phone</th>
        <th>Date</th>
        <th>  </th>
      </tr>
    </thead>
    <tbody id="bookings_list_table">

    {% comment %}
     {% for h in myBookings %}
      <tr>
        <td> {{ h.service }} </td>
        <td> {{ h.doctor }} </td>
        <td> {{ h.fullname }} </td>
        <td> {{ h.phone }} </td>
        <td> {{ h.date }} </td>
        <td> <form  method="POST" action = "bayar/{{ h.id }}">
      {% csrf_token %} 
      <a class="btn" href="{% url 'payments:add_payments' %}"> KONFIRMASI PEMBAYARAN  </a>
      </form>
      </td>
      </tr>
      {% endfor %} 
      {% endcomment %}
    </tbody>
  </table>
</div>

<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>



<script> 

$(document).ready(function(){
    getAllData();
});


$('#form').on('submit', function(event){
    event.preventDefault();
    console.log("form submitted!")  // sanity check
    create_post();
});

{% comment %} function create_post() {
    console.log("create post is working!") // sanity check
    console.log($('#service').val())
    console.log($('#doctor').val())
    console.log($('#fullname').val())
    console.log($('#phone').val())
    console.log($('#date').val())
}; {% endcomment %}

function create_post() {
    console.log("create post is working!") // sanity check
    $.ajax({
        url : "/isiForm/create_post", // the endpoint
        type : "POST", // http method
        data : { service : $('#service').val(),
        doctor : $('#doctor').val(),
        fullname : $('#fullname').val(),
        phone : $('#phone').val(),
        date : $('#date').val(), csrfmiddlewaretoken : document.getElementsByName('csrfmiddlewaretoken')[0].value}, // data sent with the post request

        // handle a successful response
        success : function(json) {
            $('#service').val('');
            $('#doctor').val('');
            $('#fullname').val('');
            $('#phone').val('');
            $('#date').val('');
            console.log(json); // log the returned json to the console
            getAllData();
            console.log("success"); // another sanity check
        },

        // handle a non-successful response
        error : function(xhr,errmsg,err) {
            $('#results').html("<div class='alert-box alert radius' data-alert>Oops! We have encountered an error: "+errmsg+
                " <a href='#' class='close'>&times;</a></div>"); // add the error to the dom
            console.log(xhr.status + ": " + xhr.responseText); // provide a bit more info about the error to the console
        }
    });
};

function getAllData() {

    $('#bookings_list_table').empty();
    $.ajax({
        type: 'GET',
        url: '/isiForm/getAllData',
        
        dataType: 'json',
        success: function (data) {
            console.log(data);
            var html = '';
            for (var i = 0; i < data.bookings.length; i++) {
                html += '<tr><td>' +
                data.bookings[i].service + '</td><td>' +
                data.bookings[i].doctor + '</td><td>' +
                data.bookings[i].fullname + '</td><td>' +                
                data.bookings[i].phone + '</td><td>' +
                data.bookings[i].date + '</td><td>' +
                '<td><form method="POST"><input type="hidden" name="csrfmiddlewaretoken" value="H6nyOc5hHqLrev4tbsoy15vs4u4g536M3dd23eeuNKdWsSBApZAOQzITbeHho8T7"><a class="btn" href="/payments/">KONFIRMASI PEMBAYARAN</a></form></td>';
            }
            $('#bookings_list_table').append(html);
        }
    });
};

</script>


{% endblock %}